<!-- -*- html -*- coding: euc-japan -*- -->
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
  <head>
  <title>Eldav</title>
  <LINK REV="MADE" HREF="mailto:teranisi@gohome.org">
  <META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; CHARSET=iso-2022-jp">
  </head>
  <body style="background-color:white">
<p align="LEFT">
<!-- <img src="logo.png" alt=""> -->
<H1> Eldav: Yet another WebDAV interface for Emacsen </H1>
</p>
<p align="right">

 [Japanese | <a href="index.html.en">English</a>]
</p>

<p>Eldav $B$O(B Emacs $B$+$i(B WebDAV $B%5!<%P$K%"%/%;%9$9$k$?$a$N%$%s%?!<%U%'!<%9$rDs6!$7$^$9!#(B</p>
<p>
</p>
<h3>What's New</h3>
0.7.0 (6, Mar 2003)<BR>


<UL>
<LI> $BC10l%U%!%$%k$G$J$/$J$C$?$N$G!"(Btarball $B$K$h$kG[IU$KJQ99!#(B
$B$^$?!"%P!<%8%g%sHV9f$NIU$1J}$rJQ$($?!#(B
<LI> VC $B$KBP1~$7$?(B($B<B83E*(B)$B!#(B
<LI> Collection $B$+$I$&$+$r@5$7$/H=JL$9$k$h$&$K$7$?!%(B
<LI> $BG'>Z;~$K%W%m%;%9$,Mn$A$F$7$^$&>l9g$,$"$kIT6q9g$r=$@5$7$?!#(B
</UL>


(0.7.0 $B$K$O(B <A href="http://www.gohome.org/nd/">nd 0.7.0</A> $B0J9_$,I,MW$G$9!%(B)

<h3>$BFCD'(B</h3>
<UL>
<LI>WebDAV $B%U%!%$%k$rDL>o$N%U%!%$%k$HF1MM$K07$($k!#(B

<LI>Emacs/w3 $B$G$O$J$/30It%W%m%0%i%`$rMQ$$$F$$$k!#(B

</UL>
<h3>$BI,MW$J$b$N(B</h3>

<UL>
<LI> Emacs
<LI>
<A HREF="http://webdav.todo.gr.jp">WebDAV</A> $B%5!<%P(B


<LI> <A HREF="http://www.gohome.org/nd/">nd</A> (WebDAV $BMQ%3%^%s%I%i%$%s%$%s%?%U%'!<%9(B)


</UL>
<h3>$B%@%&%s%m!<%I(B</h3>

<A href="http://www.gohome.org/eldav/eldav-0.7.0.tar.gz">Eldav 0.7.0</A><BR><BR>
<P>
<A HREF="http://www.gohome.org/cgi-bin/viewcvs.cgi/eldav/"> ViewCVS $B$K$h$k%=!<%91\Mw(B</A> <br>

<h3>$B%$%s%9%H!<%k(B</h3>
eldav.el, vc-eldav.el $B$r(B($B$*9%$_$G%P%$%H%3%s%Q%$%k$7$F(B) load-path $B>e$N(B
$B$I$3$+$KCV$/$@$1$G$9!#(B


<h3>$B;H$$J}(B</h3>
.emacs $BEy$K(B
<P>
<pre>
(require 'eldav)
</pre>
</P>
$B$H@_Dj$7$^$9!#%W%m%-%7%5!<%P$rMxMQ$9$k>l9g$O!"(B
<P>
<pre>
(setq eldav-proxy "http://your.proxy.server:8080")
</pre>
</P>
$B$N$h$&$K;XDj$7$^$9!#(B
<p>
$B$"$H$O!"0J2<$N$h$&$K%U%!%$%kL>$r;XDj$9$l$P(B WebDAV $B$N%U%!%$%k$K%"%/%;%9$G$-$^$9!#(B
<P>
<pre>
:http://your.webdav.server/path/to/file/name
</pre>
</P>
(WebDAV URL $B$N@hF,$K(B ':' $B$r2C$($?%U%!%$%kL>!#(B)
$B%5!<%P$,(B WebDAV $B$KBP1~$7$F$$$J$$>l9g$G$b!"FI$_=P$7@lMQ$G(B find-file $B$G$-$^$9!#(B

<h3>VC (Version Control)</h3>


<P>
Eldav $B$O(B VC $B$N%P%C%/%(%s%I$r<BAu$7$F$$$^$9(B($B<B83E*(B)$B!%(B
</P>
<P>
<pre>
(setq eldav-use-vc t)
</pre>
</P>
$B$H$9$k$H!"(BEldav $B$N(B VC $B5!G=$,M-8z$K$J$j$^$9!%(B
<P>
Eldav $B$N(B VC $B5!G=$,M-8z$K$J$C$F$$$k$H!$%U%!%$%k$,%A%'%C%/%"%&%H$5$l$F$$$k4V(B
$B%m%C%/$5$l!$B>$N?M$,JT=8$G$-$J$/$J$j$^$9(B (WebDAV $B$N(B LOCK $B5!G=(B)$B!%(B
<P>
Eldav $B$N(B VC $B5!G=$,M-8z$K$J$C$F$$$k>l9g!$?75,%U%!%$%k$r3+$/$H!$(B
<P>
<pre>File was lost; check out from version control? (yes or no)</pre>
</P>
$B$N$h$&$KJ9$+$l$^$9$N$G!$(B'yes' $B$HF~NO$7$F%A%'%C%/%"%&%H$7$F$/$@$5$$!%(B
<P>
$B4{$KB8:_$9$k%U%!%$%k$r3+$/$H!$FI$_=P$7@lMQ$K$J$j$^$9!%(B
$B%U%!%$%k$r3+$$$?>uBV$G(B 'C-x v v' $B$r2!$9$H!$%U%!%$%k$,%A%'%C%/%"%&%H$5$l!$(B
$BJT=82DG=>uBV$K$J$j$^$9!%(B
<P>
$B%A%'%C%/%"%&%H$5$l$?>uBV$G$O!$%U%!%$%k$O%m%C%/>uBV$K$J$j!$B>$N?M$,JT=8(B
$B$G$-$J$/$J$j$^$9!%(B
<P>
$B%U%!%$%k$rJT=8$7!$J]B8$7$?$"$H!$(B'C-x v v' $B$r2!$7$F!$%A%'%C%/%$%s$7$F$/$@$5$$!%(B
$B%A%'%C%/%$%s$9$k$H!$%U%!%$%k$N%m%C%/$,2r=|$5$l$^$9!%$3$N$H$-!$(B
*VC-Log* $B%P%C%U%!$,8=$l$^$9$N$G!$(BC-c C-c $B$r2!$7$F$/$@$5$$(B
(*VC-Log* $B%P%C%U%!$K2?$+$rF~NO$7$F$bL5;k$5$l$^$9(B)$B!%(B


<h3>$B4{CN$NLdBjE@(B</h3>
<UL>
<LI> completion $B$J$I$d$k$H!"(BPROPFIND $B$rHt$P$7$^$/$C$F$7$^$&!#(B
<LI> SSL $B$KBP1~$7$F$J$$(B (nd $B$,BP1~$7$F$J$$$?$a(B)$B!#(B
</UL>

<h3>Related Works</h3>
<p>
<UL>
<LI>
url-dav $B$H$$$&$N$,$9$G$K(B Emacs/w3 ($B$N(B
 <A HREF="http://www.gnu.org/software/url/">URL $B%Q%C%1!<%8(B</A>)
$B$K4^$^$l$F$$$^$9!#(BURL $B$N(B file handler $B$b4^$^$l$F$$$k$h$&$G$9!#(B


<LI>
 Linux $B$K$O(B
<A HREF="http://dav.sourceforge.net/">davfs</A>
$B$,$"$j$^$9!#(B

<LI>

<A HREF="http://developer.gnome.org/doc/API/gnome-vfs/">GnomeVFS</A> $B$K$O(B WebDAV$B%5%]!<%H$,$"$j$^$9!#(B


</UL>
</p>
<hr>
<address><a href="mailto:teranisi@gohome.org">Yuuichi Teranishi&lt;teranisi@gohome.org&gt;</a></address>
</body>
</html>
